class Infragistics.UltraChart.Core.Layers.Axis
   inherits Infragistics.UltraChart.Core.Layers.Layer
   implements Infragistics.UltraChart.Core.Layers.ILayer, Infragistics.UltraChart.Core.IAdvanceAxis, Infragistics.UltraChart.Core.IOperate, System.Collections.IComparer, Infragistics.UltraChart.Core.IScrollScaleWindow, Infragistics.UltraChart.Core.IMapWindow, Infragistics.UltraChart.Core.IMapLog, Infragistics.UltraChart.Core.IRangeType
   abstract:

   def protected static variable mapping as Infragistics.UltraChart.Resources.Appearance.ChartAppearanceTypes extent.

   def protected variable m_Scroll as decimal.

   def protected variable m_Scale as decimal.

   def protected variable axisNumber as Infragistics.UltraChart.Shared.Styles.AxisNumber.

   def public variable lineVisible as logical.

   def public variable stackIt as logical.

   def public variable stackStyle as Infragistics.UltraChart.Shared.Styles.StackStyle.

   def public variable lineStyle as Infragistics.UltraChart.Shared.Styles.LineStyle.

   def public variable lineThickness as integer.

   def public variable lineColor as System.Drawing.Color.

   def public variable labelArray as System.Object extent.

   def public variable itemLabelFormat as character.

   def public variable seriesLabelFormat as character.

   def public variable interSeriesSpacing as integer.

   def public variable interItemSpacing as integer.

   def public variable drawingStyle as integer.

   def public variable majorGridLineStyle as Infragistics.UltraChart.Shared.Styles.LineStyle.

   def public variable minorGridLineStyle as Infragistics.UltraChart.Shared.Styles.LineStyle.

   def public variable majorGridLineColor as System.Drawing.Color.

   def public variable minorGridLineColor as System.Drawing.Color.

   def public variable majorGridLineThickness as integer.

   def public variable minorGridLineThickness as integer.

   def public variable tickPercentage as decimal.

   def public variable tickInterval as decimal.

   def protected variable startDate as datetime.

   def protected variable endDate as datetime.

   def public variable DateInterval as System.TimeSpan.

   def public variable DateSkipN as integer.

   def public variable DateDataColumn as integer.

   def public variable HorzVertLabelOffset as logical.

   def public variable LabelDx as integer.

   def public variable LabelDy as integer.

   def public variable span_1 as integer.

   def public variable span_2 as integer.

   def public variable axisSpan as integer.

   def public variable axisLineStart as System.Drawing.Point.

   def public variable axisLineEnd as System.Drawing.Point.

   def public static variable majorTickWidth as integer.

   def public static variable minorTickWidth as integer.

   def protected variable widthOrHeight as integer.

   def public variable mOffsetLabels as logical.

   def public property ChartLayerAppearance as Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
      get.
      set.

   def public property RulerType as Infragistics.UltraChart.Shared.Styles.NumericAxisType
      get.
      set.

   def public property Zero as System.Object
      get.

   def public property Scroll as decimal
      get.
      set.

   def public property Scale as decimal
      get.
      set.

   def public abstract property IntervalPercentageWindow as decimal
      get.
      set.

   def public abstract property IntervalPercentageTotal as decimal
      get.
      set.

   def public abstract property WindowInterval as System.Object
      get.
      set.

   def public abstract property Minimum as System.Object
      get.
      set.

   def public abstract property Maximum as System.Object
      get.
      set.

   def public abstract property WindowMinimum as System.Object
      get.
      set.

   def public abstract property WindowMaximum as System.Object
      get.
      set.

   def public abstract property WindowRange as System.Object
      get.

   def public abstract property TotalRange as System.Object
      get.

   def public property MapRange as decimal
      get.

   def public property MapMinimum as decimal
      get.
      set.

   def public property MapMaximum as decimal
      get.
      set.

   def public property LogBase as decimal
      get.
      set.

   def public property Exponent_min as decimal
      get.
      set.

   def public property Exponent_max as decimal
      get.
      set.

   def public property Exponent_Range as decimal
      get.

   def public property ExponentWindowMin as decimal
      get.

   def public property ExponentWindowMax as decimal
      get.

   def public property ExponentWindowRange as decimal
      get.

   def public property RangeType as Infragistics.UltraChart.Shared.Styles.AxisRangeType
      get.
      set.

   def public property RangeMin as System.Object
      get.
      set.

   def public property RangeMax as System.Object
      get.
      set.

   def public property RangeRange as System.Object
      get.

   def public property ShowScrollbar as logical
      set.

   def public property MajorLabelStyle as Infragistics.UltraChart.Shared.Styles.LabelStyle
      get.
      set.

   def public property GroupLabelStyle as Infragistics.UltraChart.Shared.Styles.LabelStyle
      get.

   def public property startPoint as System.Drawing.Point
      get.
      set.

   def public property endPoint as System.Drawing.Point
      get.
      set.

   def protected property LogZero as decimal
      get.
      set.

   constructor protected Axis(input component as Infragistics.UltraChart.Resources.IChartComponent, input core as Infragistics.UltraChart.Core.ChartCore, input axisNumber as Infragistics.UltraChart.Shared.Styles.AxisNumber):
   end constructor.

   method protected void ApplyLayoutBehaviors(input bounds as System.Drawing.Rectangle, input axisApp as Infragistics.UltraChart.Resources.Appearance.AxisAppearance, input itemLabels as Infragistics.UltraChart.Resources.Appearance.AxisLabelInfoCollection, input seriesLabels as Infragistics.UltraChart.Resources.Appearance.AxisLabelInfoCollection):
   end method.

   method protected decimal GetSeriesLabelSpanRatio(input vertical as logical, input itemLabels as Infragistics.UltraChart.Resources.Appearance.AxisLabelInfoCollection, input seriesLabels as Infragistics.UltraChart.Resources.Appearance.AxisLabelInfoCollection, input bounds as System.Drawing.Rectangle, input axisApp as Infragistics.UltraChart.Resources.Appearance.AxisAppearance):
   end method.

   method protected void SplitBounds(input originalBounds as System.Drawing.Rectangle, input axisNumber as Infragistics.UltraChart.Shared.Styles.AxisNumber, input itemLabels as Infragistics.UltraChart.Resources.Appearance.AxisLabelInfoCollection, input seriesLabels as Infragistics.UltraChart.Resources.Appearance.AxisLabelInfoCollection, input itemLabelBounds as System.Drawing.Rectangle, input seriesLabelBounds as System.Drawing.Rectangle, input axisApp as Infragistics.UltraChart.Resources.Appearance.AxisAppearance):
   end method.

   method protected integer GetScrollbarSpan(input axisApp as Infragistics.UltraChart.Resources.Appearance.AxisAppearance):
   end method.

   method protected integer GetCorrectLabelBoundsWidth(input scrollbarSize as integer, input originalWidth as integer):
   end method.

   method protected System.Drawing.Rectangle GetLabelBounds(input scrollbarSize as integer):
   end method.

   method public abstract void IntervalCountWindow(input n as integer).

   method public abstract void IntervalCountTotal(input n as integer).

   method public abstract void IntervalFit(input totalWidth as decimal, input itemWidth as decimal).

   method protected void CorrectWindowMinMax():
   end method.

   method public abstract decimal Map(input d_i as System.Object).

   method public abstract System.Object MapInverse(input m_i as decimal).

   method public abstract logical ItemVisible(input d_i as System.Object).

   method public System.Object Add(input addendum as System.Object, input addendee as System.Object):
   end method.

   method public System.Object Subtract(input subtractum as System.Object, input subtractee as System.Object):
   end method.

   method public System.Object Divide(input dividend as System.Object, input divisor as System.Object):
   end method.

   method public System.Object Multiply(input multiplicand as System.Object, input multiplier as System.Object):
   end method.

   method public System.Object Max(input left as System.Object, input right as System.Object):
   end method.

   method public System.Object Min(input left as System.Object, input right as System.Object):
   end method.

   method public System.Object NullValue(input input as System.Object):
   end method.

   method public abstract decimal NumericOf(input d_i as System.Object).

   method public abstract System.Object InverseNumericOf(input d_i as decimal).

   method public integer Compare(input obj1 as System.Object, input obj2 as System.Object):
   end method.

   method public override Infragistics.UltraChart.Resources.Appearance.ChartAppearance GetAppearance():
   end method.

   method public final integer GetExtent():
   end method.

   method public final void SetExtent(input worh as integer):
   end method.

   method protected void RetrieveAppearanceProperties():
   end method.

   method public final void FillSceneGraphTime(input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method public override void FillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method public final void WorkerFillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method protected override void ValidateDataForChart():
   end method.

   method protected void SetStartAndEndPoints():
   end method.

   method public final void addStyle(input st as integer):
   end method.

   method public final void removeStyle(input st as integer):
   end method.

   method public final void setStyle(input st as integer):
   end method.

   method public final void setStyle(input st as integer, input set as logical):
   end method.

   method public final void setLabels(input list as System.Object extent):
   end method.

   method public final System.Object extent getLabels():
   end method.

   method public final static System.Drawing.Point dataToPointLinearPlane(input dataHorzMin as decimal, input dataHorzMax as decimal, input dataVertMin as decimal, input dataVertMax as decimal, input leftTop as System.Drawing.Point, input bottomRight as System.Drawing.Point, input d_h as decimal, input d_v as decimal):
   end method.

   method public final static decimal dataToLogVert(input logBase as decimal, input dataMin as decimal, input dataMax as decimal, input p1 as System.Drawing.Point, input p2 as System.Drawing.Point, input d_i as decimal):
   end method.

   method public final static decimal dataToLogHorz(input logBase as decimal, input dataMin as decimal, input dataMax as decimal, input p1 as System.Drawing.Point, input p2 as System.Drawing.Point, input d_i as decimal):
   end method.

   method public final static System.Drawing.Point dataToPointLinearVertical(input dataMin as decimal, input dataMax as decimal, input p1 as System.Drawing.Point, input p2 as System.Drawing.Point, input d_i as decimal):
   end method.

   method public final static System.Drawing.Point dataToPointLinearHorizontal(input dataMin as decimal, input dataMax as decimal, input p1 as System.Drawing.Point, input p2 as System.Drawing.Point, input d_i as decimal):
   end method.

   method public final static System.Drawing.PointF dataToPointLinearPlaneF(input dataHorzMin as decimal, input dataHorzMax as decimal, input dataVertMin as decimal, input dataVertMax as decimal, input leftTop as System.Drawing.Point, input bottomRight as System.Drawing.Point, input d_h as decimal, input d_v as decimal):
   end method.

   method public final static System.Drawing.PointF dataToPointLinearVerticalF(input dataMin as decimal, input dataMax as decimal, input p1 as System.Drawing.PointF, input p2 as System.Drawing.PointF, input d_i as decimal):
   end method.

   method public final static System.Drawing.PointF dataToPointLinearHorizontalF(input dataMin as decimal, input dataMax as decimal, input p1 as System.Drawing.PointF, input p2 as System.Drawing.PointF, input d_i as decimal):
   end method.

   method public final static decimal dataToDoubleLinear(input dataMin as decimal, input dataMax as decimal, input p1 as decimal, input p2 as decimal, input d_i as decimal):
   end method.

   method public final static System.Drawing.Point angularToCartesian(input center as System.Drawing.Point, input radius as decimal, input theta as decimal):
   end method.

   method public final static System.Drawing.Point angularToCartesianReverse(input center as System.Drawing.Point, input radius as decimal, input theta as decimal):
   end method.

   method public final static decimal dataToAngleLinear(input dataMin as decimal, input dataMax as decimal, input thetaMin as decimal, input thetaMax as decimal, input d_i as decimal):
   end method.

   method public final static integer setDataItemLinear(input itemCount as integer, input inSetCount as integer, input interSeriesSpacing as integer, input interBarSpacing as integer, input totalWidth as integer, input item_i as integer):
   end method.

   method public final static integer setDataSetLinear(input itemCount as integer, input inSetCount as integer, input interSeriesSpacing as integer, input interBarSpacing as integer, input totalWidth as integer, input item_i as integer):
   end method.

   method public final static decimal setDataItemWidth(input itemCount as integer, input inSetCount as integer, input interSeriesSpacing as integer, input interBarSpacing as integer, input totalWidth as integer):
   end method.

   method public final static decimal dateDataDateLinear(input startDate as datetime, input endDate as datetime, input totalWidth as decimal, input d_i as datetime):
   end method.

   method public final static System.Drawing.Color Data2ColorLinear(input startColor as System.Drawing.Color, input endColor as System.Drawing.Color, input DataMax as decimal, input DataMin as decimal, input val as decimal):
   end method.

   method protected void MajorLineAt(input scene as System.Collections.IList, input d_x as decimal, input minorFmt as character, input majorFmt as character):
   end method.

   method protected void MinorLineAt(input scene as System.Collections.IList, input d_x as decimal, input minorFmt as character, input majorFmt as character):
   end method.

end class.
