class System.Threading.Tasks.TaskFactory
   inherits System.Object:

   def public property CancellationToken as System.Threading.CancellationToken
      get.

   def public property Scheduler as System.Threading.Tasks.TaskScheduler
      get.

   def public property CreationOptions as System.Threading.Tasks.TaskCreationOptions
      get.

   def public property ContinuationOptions as System.Threading.Tasks.TaskContinuationOptions
      get.

   constructor public TaskFactory():
   end constructor.

   constructor public TaskFactory(input cancellationToken as System.Threading.CancellationToken):
   end constructor.

   constructor public TaskFactory(input scheduler as System.Threading.Tasks.TaskScheduler):
   end constructor.

   constructor public TaskFactory(input creationOptions as System.Threading.Tasks.TaskCreationOptions, input continuationOptions as System.Threading.Tasks.TaskContinuationOptions):
   end constructor.

   constructor public TaskFactory(input cancellationToken as System.Threading.CancellationToken, input creationOptions as System.Threading.Tasks.TaskCreationOptions, input continuationOptions as System.Threading.Tasks.TaskContinuationOptions, input scheduler as System.Threading.Tasks.TaskScheduler):
   end constructor.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action):
   end method.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action, input creationOptions as System.Threading.Tasks.TaskCreationOptions):
   end method.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action, input cancellationToken as System.Threading.CancellationToken, input creationOptions as System.Threading.Tasks.TaskCreationOptions, input scheduler as System.Threading.Tasks.TaskScheduler):
   end method.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action, input state as System.Object):
   end method.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action, input state as System.Object, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action, input state as System.Object, input creationOptions as System.Threading.Tasks.TaskCreationOptions):
   end method.

   method public final System.Threading.Tasks.Task StartNew(input action as System.Action, input state as System.Object, input cancellationToken as System.Threading.CancellationToken, input creationOptions as System.Threading.Tasks.TaskCreationOptions, input scheduler as System.Threading.Tasks.TaskScheduler):
   end method.

   method public final System.Threading.Tasks.Task FromAsync(input asyncResult as System.IAsyncResult, input endMethod as System.Action):
   end method.

   method public final System.Threading.Tasks.Task FromAsync(input asyncResult as System.IAsyncResult, input endMethod as System.Action, input creationOptions as System.Threading.Tasks.TaskCreationOptions):
   end method.

   method public final System.Threading.Tasks.Task FromAsync(input asyncResult as System.IAsyncResult, input endMethod as System.Action, input creationOptions as System.Threading.Tasks.TaskCreationOptions, input scheduler as System.Threading.Tasks.TaskScheduler):
   end method.

   method public final System.Threading.Tasks.Task FromAsync(input beginMethod as System.Func, input endMethod as System.Action, input state as System.Object):
   end method.

   method public final System.Threading.Tasks.Task FromAsync(input beginMethod as System.Func, input endMethod as System.Action, input state as System.Object, input creationOptions as System.Threading.Tasks.TaskCreationOptions):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAll(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAll(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAll(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action, input continuationOptions as System.Threading.Tasks.TaskContinuationOptions):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAll(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action, input cancellationToken as System.Threading.CancellationToken, input continuationOptions as System.Threading.Tasks.TaskContinuationOptions, input scheduler as System.Threading.Tasks.TaskScheduler):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAny(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAny(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAny(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action, input continuationOptions as System.Threading.Tasks.TaskContinuationOptions):
   end method.

   method public final System.Threading.Tasks.Task ContinueWhenAny(input tasks as System.Threading.Tasks.Task extent, input continuationAction as System.Action, input cancellationToken as System.Threading.CancellationToken, input continuationOptions as System.Threading.Tasks.TaskContinuationOptions, input scheduler as System.Threading.Tasks.TaskScheduler):
   end method.

end class.
